Page MenuHomePhabricator

SpecialPageAliases translation in Bengali projects (2)
Closed, ResolvedPublic

Description

Please add following SpecialPageAliases translations

  1. mediawiki/extensions/CentralAuth / CentralAuth.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'CentralAuth' => array( 'কেন্দ্রীয়_প্রমাণী' ),
	'MergeAccount' => array( 'অ্যাকাউন্ট_একত্রীকরণ' ),
	'GlobalGroupMembership' => array( 'বৈশ্বিক_ব্যবহারকারী_অধিকার', 'বৈশ্বিক_দলের_সদস্যপদ' ),
	'GlobalGroupPermissions' => array( 'বৈশ্বিক_দলের_অনুমতি' ),
	'WikiSets' => array( 'উইকিসেট', 'উইকিসেট_সম্পাদনা' ),
	'GlobalUsers' => array( 'বৈশ্বিক_ব্যবহারকারী' ),
	'MultiLock' => array( 'বহুবাধা' ),
	'GlobalRenameUser' => array( 'বৈশ্বিক_ব্যবহারকারী_নামান্তর', 'বৈশ্বিক_ব্যবহারকারী_পুনঃনামকরণ' ),
	'GlobalRenameProgress' => array( 'বৈশ্বিক_নামান্তরের_অগ্রগতি' ),
	'GlobalUserMerge' => array( 'বৈশ্বিক_ব্যবহারকারী_একত্রীকরণ' ),
	'GlobalRenameRequest' => array( 'বৈশ্বিক_নামান্তরের_অনুরোধ' ),
	'GlobalRenameQueue' => array( 'বৈশ্বিক_নামান্তরের_সারি' ),
	'SulRenameWarning' => array( 'SUL_নামান্তরের_সতর্কবার্তা' ),
	'UsersWhoWillBeRenamed' => array( 'ব্যবহারকারী_যারা_নামান্তরিত_হবেন' ),
);
  1. mediawiki/extensions/CheckUser / CheckUser.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'CheckUser' => array( 'ব্যবহারকারী_পরীক্ষণ' ),
	'CheckUserLog' => array( 'ব্যবহারকারী_পরীক্ষণের_লগ' ),
);
  1. mediawiki/extensions/Collection / Collection.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'Book' => array( 'বই', 'গ্রন্থ', 'সংগ্রহ' ),
);
  1. mediawiki/extensions/ContributionScores / ContributionScores.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'ContributionScores' => array( 'অবদানের_স্কোর' ),
);
  1. mediawiki/extensions/Echo / Echo.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'Notifications' => array( 'বিজ্ঞপ্তি' ),
	'DisplayNotificationsConfiguration' => array( 'বিজ্ঞপ্তি_কনফিগারেশন_প্রদর্শন' ),
	'NotificationsMarkRead' => array( 'বিজ্ঞপ্তি_পঠিতরূপে_চিহ্নিত', 'বিজ্ঞপ্তি_পঠিত_হিসেবে_চিহ্নিত' ),
);
  1. mediawiki/extensions/EducationProgram / EducationProgram.i18n.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'MyCourses' => array( 'আমার_কোর্স' ),
	'ManageCourses' => array( 'কোর্স_পরিচালনা' ),
	'Institutions' => array( 'প্রতিষ্ঠান', 'অর্গ' ),
	'Student' => array( 'শিক্ষার্থী' ),
	'Students' => array( 'ছাত্রছাত্রী' ),
	'Courses' => array( 'কোর্স' ),
	'EducationProgram' => array( 'শিক্ষা_কর্মসূচী' ),
	'Enroll' => array( 'তালিকাভুক্ত' ),
	'Disenroll' => array( 'অ-তালিকাভুক্ত' ),
	'CampusAmbassadors' => array( 'ক্যাম্পাস_স্বেচ্ছাসেবক', 'ক্যাম্পাস_দূত' ),
	'OnlineAmbassadors' => array( 'অনলাইন_স্বেচ্ছাসেবক', 'অনলাইন_দূত' ),
	'OnlineAmbassadorProfile' => array( 'অনলাইন_স্বেচ্ছাসেবকের_প্রোফাইল', 'অনলাইন_দূতের_প্রোফাইল' ),
	'CampusAmbassadorProfile' => array( 'ক্যাম্পাস_স্বেচ্ছাসেবকের_প্রোফাইল', 'ক্যাম্পাস_দূতের_প্রোফাইল' ),
	'StudentActivity' => array( 'শিক্ষার্থীর_কার্যক্রম', 'শিক্ষার্থীর_কার্যকলাপ' ),
	'Articles' => array( 'নিবন্ধসমূহ' ),
	'CourseActivity' => array( 'কোর্সের_কার্যক্রম', 'কোর্সের_কার্যকলাপ' ),
);
  1. ediawiki/extensions/EducationProgram /EducationProgram.i18n.ns.php
$namespaceNames['bn'] = array(
  
	EP_NS      => 'শিক্ষা_কর্মসূচী',
            EP_NS_TALK => 'শিক্ষা_কর্মসূচীর_আলোচনা',
);
  1. mediawiki/extensions/FlaggedRevs / frontend/language/FlaggedRevs.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'PendingChanges' => array( 'অমীমাংসিত_পরিবর্তন', 'পুরনো_পর্যালোচিত_পাতা' ),
	'ProblemChanges' => array( 'সমস্যাযুক্ত_পরিবর্তন' ),
	'QualityOversight' => array( 'উন্নত_পর্যালোচনা_লগ' ),
	'ReviewedPages' => array( 'পর্যালোচিত_পাতা', 'পর্যালোচিত_পৃষ্ঠা' ),
	'RevisionReview' => array( 'সংশোধন_পর্যালোচনা' ),
	'Stabilization' => array( 'স্থিতিশীলতা' ),
	'StablePages' => array( 'স্থিতিশীল_পাতাসমূহ' ),
	'ConfiguredPages' => array( 'কনফিগারকৃত_পাতা' ),
	'ReviewedVersions' => array( 'পর্যালোচিত_সংস্করণ', 'স্থিতিশীল_সংস্করণ' ),
	'UnreviewedPages' => array( 'অপর্যালোচিত_পাতা', 'পর্যালোচনাবিহীন_পৃষ্ঠা'),
	'ValidationStatistics' => array( 'বৈধকরণের_পরিসংখ্যান', 'বৈধকরণ_পরিসংখ্যান' ),
);
  1. mediawiki/extensions/GlobalBlocking / GlobalBlocking.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'GlobalBlock' => array( 'বৈশ্বিক_বাধাদান', 'বৈশ্বিক_বাধা' ),
	'GlobalBlockList' => array( 'বৈশ্বিক_বাধাদানের_তালিকা' ),
	'RemoveGlobalBlock' => array( 'বৈশ্বিক_বাধাদান_অপসারণ', 'বৈশ্বিক_বাধা_অপসারণ', 'বৈশ্বিক_বাধা_তোলা' ),
	'GlobalBlockStatus' => array( 'বৈশ্বিক_বাধাদানের_সাদাতালিকা', 'বৈশ্বিক_বাধার_অবস্থা', 'বৈশ্বিক_বাধাদানের_অবস্থা', 'বৈশ্বিক_বাধা_নিষ্ক্রিয়করণ' ),
);
  1. mediawiki/extensions/GlobalUsage / GlobalUsage.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'GlobalUsage' => array( 'বৈশ্বিক_ব্যবহার' ),
	'MostGloballyLinkedFiles' => array( 'বৈশ্বিকভাবে_সর্বাধিক_সংযুক্ত_ফাইল' ),
	'GloballyWantedFiles' => array( 'বৈশ্বিকভাবে_আবশ্যিক_ফাইল' ),
);
  1. mediawiki/extensions/Interwiki / Interwiki.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'Interwiki' => array( 'আন্তঃউইকি' ),
);
  1. mediawiki/extensions/Nuke / Nuke.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'Nuke' => array( 'গণ_অপসারণ' ),
);
  1. mediawiki/extensions/Renameuser / Renameuser.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'Renameuser' => array( 'ব্যবহারকারী_নামান্তর' ),
);
  1. mediawiki/extensions/SecurePoll / SecurePoll.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'SecurePoll' => array( 'সিকিউর_পোল' ),
);
  1. mediawiki/extensions/SiteMatrix / SiteMatrix.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'SiteMatrix' => array( 'সাইটের_ম্যাট্রিক্স', 'উইকিমিডিয়ার_উইকিসমূহ' ),
);
  1. mediawiki/extensions/TemplateSandbox / TemplateSandbox.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'TemplateSandbox' => array( 'টেমপ্লেট_খেলাঘর' ),
);
  1. mediawiki/extensions/TranslationNotifications / TranslationNotifications.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'NotifyTranslators' => array( 'অনুবাদককে_বিজ্ঞপ্তি', 'অনুবাদকের_জন্য_বিজ্ঞপ্তি' ),
	'TranslatorSignup' => array( 'অনুবাদকের_নিবন্ধন' ),
);
  1. mediawiki/extensions/UploadWizard / UploadWizard.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'Campaigns' => array( 'ক্যাম্পেইন' ),
	'UploadWizard' => array( 'আপলোড_উইজার্ড' ),
	'UploadCampaigns' => array( 'আপলোড_ক্যাম্পেইনসমূহ' ),
	'UploadCampaign' => array( 'আপলোড_ক্যাম্পেইন' ),
);
  1. mediawiki/extensions/Translate / Translate.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'AggregateGroups' => array( 'সমষ্টিগত_গোষ্ঠীসমূহ' ),
	'ImportTranslations' => array( 'অনুবাদ_আমদানি' ),
	'ExportTranslations' => array( 'অনুবাদ_রপ্তানি' ),
	'LanguageStats' => array( 'ভাষার_পরিসংখ্যান' ),
	'Magic' => array( 'উন্নত_অনুবাদ', 'জাদু' ),
	'ManageMessageGroups' => array( 'বার্তার_গোষ্ঠী_পরিচালনা' ),
	'ManageTranslatorSandbox' => array( 'অনুবাদকের_খেলাঘর_পরিচালনা', 'অনুবাদের_খেলাঘর' ),
	'MessageGroupStats' => array( 'বার্তা_দলের_পরিসংখ্যান' ),
	'PageTranslation' => array( 'পাতা_অনুবাদ' ),
	'PageTranslationDeletePage' => array( 'পাতা_অনুবাদের_পাতা_অপসারণ' ),
	'SearchTranslations' => array( 'অনুবাদ_অনুসন্ধান' ),
	'SupportedLanguages' => array( 'সমর্থিত_ভাষা' ),
	'Translate' => array( 'অনুবাদ' ),
	'TranslationStash' => array( 'অনুবাদের_স্টাশ' ),
	'TranslationStats' => array( 'অনুবাদের_পরিসংখ্যান' ),
	'Translations' => array( 'অনুবাদসমূহ' ),
	'PageMigration' => array( 'পাতা_অভিপ্রায়ণ', 'পৃষ্ঠা_অভিপ্রায়ণ' ),
	'PagePreparation' => array( 'পাতা_প্রস্তুতি', 'পৃষ্ঠা_প্রস্তুতি' ),
);
  1. mediawiki/extensions/Wikibase / client/WikibaseClient.i18n.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'EntityUsage' => array( 'সত্তার_ব্যবহার', 'সত্তার_ব্যবহারের_উপাত্ত' ),
	'PagesWithBadges' => array( 'ব্যাজসহ_পাতা' ),
	'UnconnectedPages' => array( 'অসংযুক্ত_পাতা', 'সংযোগহীন', 'সাইট_সংযোগহীন', 'অসংযুক্ত_পৃষ্ঠা', 'সংযোগবিহীন_পৃষ্ঠা'),
);
  1. mediawiki/extensions/MobileFrontend / MobileFrontend.alias.php
/** Bengali (বাংলা) */
$specialPageAliases['bn'] = array(
	'History' => array( 'ইতিহাস' ),
	'MobileCite' => array( 'মোবাইল_উদ্ধৃতি' ),
	'MobileOptions' => array( 'মোবাইল_বিকল্প' ),
	'Uploads' => array( 'আপলোডসমূহ' ),
	'MobileDiff' => array( 'মোবাইল_পার্থক্য' ),
	'MobileEditor' => array( 'মোবাইল_সম্পাদক' ),
	'MobileMenu' => array( 'মোবাইল_মেনু' ),
	'MobileLanguages' => array( 'মোবাইল_ভাষাসমূহ' ),
	'Nearby' => array( 'কাছাকাছি' ),
	'TopicTag' => array( 'প্রসঙ্গ_ট্যাগ' ),
);

Details

Related Gerrit Patches:
mediawiki/extensions/Collection : masterCollection.alias for Bengali (bn)
mediawiki/extensions/EducationProgram : masterEducationProgram.i18n.alias for Bengali (bn)
mediawiki/extensions/FlaggedRevs : masterFlaggedRevs.alias for Bengali (bn)
mediawiki/extensions/CentralAuth : master$specialPageAliases for Bengali (bn)
mediawiki/extensions/GlobalBlocking : masterGlobalBlocking.alias for Bengali (bn)
mediawiki/extensions/SiteMatrix : masterSiteMatrix.alias for Bengali (bn)
mediawiki/extensions/Translate : masterTranslate.alias for Bengali (bn)
mediawiki/extensions/Wikibase : masterWikibaseClient.i18n.alias for Bengali (bn)
mediawiki/extensions/Renameuser : masterRenameuser.alias for Bengali (bn)
mediawiki/extensions/EducationProgram : masterEducationProgram.i18n.ns for Bengali (bn)
mediawiki/extensions/GlobalUsage : masterGlobalUsage.alias for Bengali (bn)
mediawiki/extensions/Interwiki : masterInterwiki.alias for Bengali (bn)
mediawiki/extensions/Nuke : masterNuke.alias for Bengali (bn)
mediawiki/extensions/UploadWizard : masterUploadWizard.alias for Bengali (bn)
mediawiki/extensions/TranslationNotifications : masterTranslationNotifications.alias for Bengali (bn)
mediawiki/extensions/TemplateSandbox : masterTemplateSandbox.alias for Bengali (bn)
mediawiki/extensions/SecurePoll : masterSecurePoll.alias for Bengali (bn)
mediawiki/extensions/MobileFrontend : masterMobileFrontend.alias for Bengali (bn)
mediawiki/extensions/Echo : masterEcho.alias for Bengali (bn)
mediawiki/extensions/CheckUser : masterCheckUser.alias for Bengali (bn)
mediawiki/extensions/ContributionScores : masterContributionScores.alias.php translations for bengali.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 7:45 PM

(Associating project tags welcome, so people can find and see this task :)

This task seems to be about lots of different codebases? Hmm....

Your patches are welcome, I'd say. :) Feel free to get developer access to submit the proposed code changes as a Git branch directly into Gerrit which makes it easier to review and provide feedback.

Change 324276 merged by jenkins-bot:
ContributionScores.alias.php translations for bengali.

https://gerrit.wikimedia.org/r/324276

Is there any way to make all those changes and submit them together instead of doing git review 20 times? Thanks.

Change 324405 had a related patch set (by MarcoAurelio) published:
$specialPageAliases for Bengali (bn)

https://gerrit.wikimedia.org/r/324405

Change 324407 had a related patch set uploaded (by MarcoAurelio):
CheckUser.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324407

Aftabuzzaman updated the task description. (Show Details)Nov 30 2016, 3:13 PM
Aftabuzzaman updated the task description. (Show Details)Nov 30 2016, 3:25 PM

Change 324407 merged by jenkins-bot:
CheckUser.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324407

Change 324479 had a related patch set uploaded (by Aftab):
Collection.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324479

Change 324491 had a related patch set uploaded (by Aftab):
Echo.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324491

Change 324493 had a related patch set (by Aftab) published:
EducationProgram.i18n.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324493

Change 324496 had a related patch set (by Aftab) published:
EducationProgram.i18n.ns for Bengali (bn)

https://gerrit.wikimedia.org/r/324496

Change 324498 had a related patch set uploaded (by Aftab):
FlaggedRevs.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324498

Change 324499 had a related patch set (by Aftab) published:
GlobalBlocking.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324499

Change 324500 had a related patch set uploaded (by Aftab):
GlobalUsage.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324500

Change 324502 had a related patch set uploaded (by Aftab):
Interwiki.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324502

Change 324503 had a related patch set uploaded (by Aftab):
Nuke.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324503

Change 324504 had a related patch set uploaded (by Aftab):
Renameuser.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324504

Change 324508 had a related patch set uploaded (by Aftab):
SecurePoll.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324508

Change 324509 had a related patch set uploaded (by Aftab):
SiteMatrix.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324509

Change 324510 had a related patch set uploaded (by Aftab):
TemplateSandbox.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324510

Change 324513 had a related patch set uploaded (by Aftab):
TranslationNotifications.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324513

Change 324520 had a related patch set uploaded (by Aftab):
UploadWizard.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324520

Change 324521 had a related patch set uploaded (by Aftab):
Translate.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324521

Change 324522 had a related patch set uploaded (by Aftab):
WikibaseClient.i18n.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324522

Change 324523 had a related patch set uploaded (by Aftab):
MobileFrontend.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324523

Change 324491 merged by jenkins-bot:
Echo.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324491

Change 324523 merged by jenkins-bot:
MobileFrontend.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324523

Change 324508 merged by jenkins-bot:
SecurePoll.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324508

Change 324510 merged by jenkins-bot:
TemplateSandbox.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324510

Change 324513 merged by jenkins-bot:
TranslationNotifications.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324513

Change 324520 merged by jenkins-bot:
UploadWizard.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324520

Change 324503 merged by jenkins-bot:
Nuke.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324503

Change 324502 merged by jenkins-bot:
Interwiki.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324502

Change 324500 merged by jenkins-bot:
GlobalUsage.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324500

Change 324496 merged by jenkins-bot:
EducationProgram.i18n.ns for Bengali (bn)

https://gerrit.wikimedia.org/r/324496

Change 324504 merged by jenkins-bot:
Renameuser.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324504

Nemo_bis triaged this task as Normal priority.Dec 1 2016, 5:15 PM

Change 324522 merged by jenkins-bot:
WikibaseClient.i18n.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324522

Change 324521 merged by jenkins-bot:
Translate.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324521

Change 324509 merged by jenkins-bot:
SiteMatrix.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324509

Change 324499 merged by jenkins-bot:
GlobalBlocking.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324499

Change 324405 merged by jenkins-bot:
$specialPageAliases for Bengali (bn)

https://gerrit.wikimedia.org/r/324405

Change 324498 merged by jenkins-bot:
FlaggedRevs.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324498

Change 324493 merged by jenkins-bot:
EducationProgram.i18n.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324493

MarcoAurelio closed this task as Resolved.Dec 5 2016, 2:43 PM
MarcoAurelio assigned this task to Aftabuzzaman.

All patches uploaded merged but https://gerrit.wikimedia.org/r/#/c/324479/ which I guess it'll be done soon.

Change 324479 merged by jenkins-bot:
Collection.alias for Bengali (bn)

https://gerrit.wikimedia.org/r/324479